{
  "parent": "overly_realistic:advancements/stone_age/plankful",
  "criteria": {
    "item_crafted_0": {
      "trigger": "minecraft:recipe_crafted",
      "conditions": {
        "recipe_id": "overly_realistic:custom_blocks/support_beams/oak_support_beam"
      }
    },
    "item_crafted_1": {
      "trigger": "minecraft:recipe_crafted",
      "conditions": {
        "recipe_id": "overly_realistic:custom_blocks/support_beams/spruce_support_beam"
      }
    },
    "item_crafted_2": {
      "trigger": "minecraft:recipe_crafted",
      "conditions": {
        "recipe_id": "overly_realistic:custom_blocks/support_beams/birch_support_beam"
      }
    },
    "item_crafted_3": {
      "trigger": "minecraft:recipe_crafted",
      "conditions": {
        "recipe_id": "overly_realistic:custom_blocks/support_beams/jungle_support_beam"
      }
    },
    "item_crafted_4": {
      "trigger": "minecraft:recipe_crafted",
      "conditions": {
        "recipe_id": "overly_realistic:custom_blocks/support_beams/dark_oak_support_beam"
      }
    },
    "item_crafted_5": {
      "trigger": "minecraft:recipe_crafted",
      "conditions": {
        "recipe_id": "overly_realistic:custom_blocks/support_beams/acacia_support_beam"
      }
    },
    "item_crafted_6": {
      "trigger": "minecraft:recipe_crafted",
      "conditions": {
        "recipe_id": "overly_realistic:custom_blocks/support_beams/mangrove_support_beam"
      }
    },
    "item_crafted_7": {
      "trigger": "minecraft:recipe_crafted",
      "conditions": {
        "recipe_id": "overly_realistic:custom_blocks/support_beams/bamboo_support_beam"
      }
    },
    "item_crafted_8": {
      "trigger": "minecraft:recipe_crafted",
      "conditions": {
        "recipe_id": "overly_realistic:custom_blocks/support_beams/cherry_support_beam"
      }
    },
    "item_crafted_9": {
      "trigger": "minecraft:recipe_crafted",
      "conditions": {
        "recipe_id": "overly_realistic:custom_blocks/support_beams/pale_oak_support_beam"
      }
    }
  },
  "display": {
    "frame": "goal",
    "announce_to_chat": false,
    "description": {
      "text": "Craft ",
      "color": "#b38964",
      "extra": [
        {
          "text": "support beams",
          "color": "#e6b992"
        },
        {
          "text": " with ",
          "color": "#b38964"
        },
        {
          "text": "1 stick",
          "color": "#e6b992"
        },
        {
          "text": " and ",
          "color": "#b38964"
        },
        {
          "text": "2 planks of any type",
          "color": "#e6b992"
        },
        {
          "text": ".\n\n",
          "color": "#b38964"
        },
        {
          "text": "Support beams",
          "color": "#e6b992"
        },
        {
          "text": " can be used to quickly build an upward beam of fences, disallowing any blocks in a 3x3 area from being affected by gravity.\n\nWhen placing ",
          "color": "#b38964"
        },
        {
          "text": "support beams",
          "color": "#e6b992"
        },
        {
          "text": " you must have fences in your inventory!",
          "color": "#b38964"
        },
        {
          "translate": "images.overlyrealistic.structurall_sound",
          "fallback": "",
          "with": [
            {
              "text": "\n\n\n\n\n\n\n\u0242",
              "font": "overlyrealistic:images",
              "color": "white"
            }
          ]
        }
      ]
    },
    "icon": {
      "count": 1,
      "id": "minecraft:oak_fence",
      "components": {
        "item_model": "overlyrealistic:blocks/support_beams/oak_support_beam"
      }
    },
    "show_toast": false,
    "title": {
      "text": "Structurally Sound              ",
      "color": "#b38964"
    },
    "hidden": false
  },
  "requirements": [
    [
      "item_crafted_0",
      "item_crafted_1",
      "item_crafted_2",
      "item_crafted_3",
      "item_crafted_4",
      "item_crafted_5",
      "item_crafted_6",
      "item_crafted_7",
      "item_crafted_8",
      "item_crafted_9"
    ]
  ]
}